th_things_to_do:
  label: Things to do content
  namespace: Organisms/TM - Tourism hub
  use: '@organisms/tm-th/things-to-do/th-things-to-do.twig'
  description: Things to do content
  dependencies:
    - leaflet
    - tourism_hub_fares_block
  libraries:
    - th_things_to_do_lib:
        js:
          ../behaviors/th-things-to-do.js: {}
        css:
          component:
            ../styles/th-things-to-do.css: {}
  fields:
    description:
      type: text
      label: Event description
      preview: <p>Aberdeen Science Centre is one of those education-by-stealth attractions
        equally loved by children and their parents. It is an interactive science
        and technology exhibition with a high interactive content so you are unlikely
        to spend hours in Disney-style queues awaiting your child’s turn to press
        the button. The Electricity Show and workshop examines electricity using clearly
        explained circuits, motors and buzzers and adventurous visitors can even conduct
        their own experiments.</p>
    image:
      type: text
      label: Image
      preview: <img class="w-100 mb-3" src="https://picsum.photos/765/304?rnd=a1">
    tags:
      type: object
      label: Tags
      description: Tags
      preview:
        - Family
        - Axe Throwing
        - Clubs
        - Sporting venues
    booking_link_url:
      type: text
      label: Booking URL
      preview: 
        https://tickets.edinburghzoo.org.uk/?_ga=2.144528565.1698135307.1567527005-1924342290.1566988356
    event_link_url:
      type: text
      label: Website URL
      preview: https://www.brainyaxe.co.uk/
    event_link_text:
      type: text
      label: Website URL text
      preview: Website
    find_out_more_url:
      type: text
      label: More URL
      preview: https://www.datathistle.com/place/1774956
    find_out_more_text:
      type: text
      label: More text
      preview: datathistle.com
    place_email:
      type: text
      label: Place email
      preview: enquiries@act-aberdeen.org.uk
    link_blocks:
      type: object
      label: Link blocks
      preview:
        - url: https://www.brainyaxe.co.uk/
          text: Visit website
          copy_text: https://www.brainyaxe.co.uk/
        - url: 
            https://tickets.edinburghzoo.org.uk/?_ga=2.144528565.1698135307.1567527005-1924342290.1566988356
          text: Make a booking
          class: booking
        - url: mailto:enquiries@act-aberdeen.org.uk
          text: Email venue
          copy_text: enquiries@act-aberdeen.org.uk
        - url: tel:01224 641122
          prefix: Tickets
          text: 01224 641122
          copy_text: 01224 641122
          class: phone
          icon: far fa-ticket
    info_sections:
      type: object
      label: Info sections
      preview:
        - icon: far fa-clock
          name: Opening times
          data:
            - 10am-4:30pm
        - icon: far fa-wind
          name: Seasonal times
          data:
            - 'Winter hours 30 Oct - 7 Jan: Wed - Fri 10am - 3pm, Sat & Sun 10am -
              5pm'
        - icon: far fa-pound-sign
          name: Admission
          data:
            - Adults £11
            - Children 3-17 y/o £7
            - Children under 3 free
            - Concession £8.50
            - Family £30
    address:
      type: object
      label: Station address
      preview:
        - 179 Constitution Street
        - Aberdeen
        - AB24 5TU
    closest_station_directions:
      type: text
      label: Directions URL
      preview: urltodirections
    closest_station:
      type: text
      label: Directions Button Station
      preview: station
    map:
      type: pattern
      label: Place map
      preview:
        - id: leaflet
    fares:
      type: pattern
      label: Fares
      preview:
        - id: tourism_hub_fares_block
    place_name:
      type: text
      label: Place name
      preview: Brainyaxe
    place_address:
      type: object
      label: Address
      preview:
        - 15 Hope St,
        - Inverkeithing
        - United Kingdom
    closest_station_url:
      type: text
      label: Closest station URL
      preview: https://www.datathistle.com/place/1774956
    closest_station_name:
      type: text
      label: Closest station Name
      preview: Glasgow Queen Street
    pricing:
      type: text
      label: Pricing text
      preview: 'Escape room: £60; Shooting Simulator £50; Axe Throwing 2, 3, or 4
        people £40; Axe Throwing 5 or 6 people £100; Knife Throwing 2, 3, or 4 people
        £40; Knife & Axe Taster 2, 3, or 4 people £40;'
    opening_times:
      type: text
      label: Opening times text
      preview: Mon--Wed 10am--6:30pm; Thur--Sun 10am--9pm
  settings:
    use_icons:
      type: boolean
      label: Use icons
      default_value: false
      preview: false
